# Show execution

Show an individual execution.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/executions/{pipeline_execution_id}/{pipeline_stage_id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "rv0"

  - `project` (string, required)
    Project is the project identifier.
    Example: "zl2"

  - `pipeline_execution_id` (string, required)
    Pipeline execution ID
    Example: "oda"

  - `pipeline_stage_id` (string, required)
    Pipeline execution stage ID
    Example: "u"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "v"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "g"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 6760041794858893000

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "t3"

  - `pipeline` (string, required)
    The unique identifier for the associated pipeline
    Example: "Adipisci molestiae cupiditate nisi."

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Cum adipisci."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline stage
    Example: "Cumque ab temporibus."

  - `project` (string, required)
    Project is the project identifier.
    Example: "x"

  - `status` (string, required)
    The overall status of the execution
    Enum: "none", "success", "failure"

  - `workspace` (string, required)
    The unique identifier for the associated workspace
    Example: "Repellendus laborum qui expedita quo sequi."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


